#!/usr/bin/env python
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.

# Corner cases to check:
#  When both filenames are the same
import sys, os, shutil, re

NumberCapturer = re.compile(r'(.*?)(\d\d)(.*)')

def help():
    print \
"""
sonice-join.py

Removes files from a directory and renames the survivors.

Usage:
sonice-join first last
where first is the first file that should be deleted, and last is the last
file that should be deleted.
"""
    sys.exit(1)

def findFirstJump(l):
    """Returns the index of the first nonconsecutive integer in the list.
    If no jump is found, return -1."""

    if len(l) in range(2): raise ValueError

def extractNumber(s):
    """Extracts the track number out of a string by snagging the leftmost
    two-digit number."""
    m = NumberCapturer.match(s)
    return m.group(2)

def snip(l, first, last):
    """removes [first, last] out of l."""
    l.sort()
    print "l before snipping:\n", l
    begin = l.index(first)
    end   = l.index(last)

    if begin > end:
        print "yow! you reversed the order of the arguments!"
        sys.exit(1)
        
    l = l[:begin] + l[end+1:]
    print "l after snipping:\n", l

    print [int(extractNumber(s)) for s in l]



    print "l after renaming:\n", l

def join(l):
    """Find"""



def main(argv):
    if len(argv) < 2:
        help()
    if argv[1] in ('-h', '--help'):
        help()

    snip(os.listdir(os.curdir), argv[1], argv[2])


if __name__ == '__main__':
    main(sys.argv)
