import os, sys
import fnmatch
import shutil

srcdir = 'doc.src'
destdir = 'doc'

def sourceify(x): return os.path.join(srcdir, x + '.xml')
def destify(x):   return os.path.join(destdir, x + '.html')
def notTempFile(x): return not x.startswith('.')
try:
    shutil.rmtree(destdir)
except: # pray it's really gone and not something else...
    pass
#os.mkdir('html')
shutil.copytree('style', destdir)

barenames = [ os.path.splitext(fn)[0] for fn in os.listdir(srcdir) ]
barenames = filter(notTempFile, barenames)

for b in barenames:
    cmd = 'xsltproc -o %s %s %s' % \
          (destify(b), 'transform.xsl', sourceify(b))
    print cmd
    os.system(cmd)
