#!/usr/bin/env python
# Unit test for sonice
# Copyright (c) 2002 Nathan Sharfi
# Copyright terms are included in a file called 'license.txt'.

import sys, os
import unittest

if os.path.abspath(sys.argv[0]).find('sonice') != -1: # if 'sonice' not in path
    sys.path.insert(0, os.path.normpath(os.path.join(
        os.path.abspath(sys.argv[0]), os.pardir, os.pardir)))

# -- begin test code here --

from libsonice.vorbisinfo import VorbisInfo, VorbisInfoList

class VorbisInfoTester(unittest.TestCase):
    def testStuff(self):
        """This just runs stuff."""
        vi = VorbisInfo(os.path.join('er', 'dummy.wav',
                                     Comments({'title': ['Harbour'],
                                               'version': ['DDR Mix']})))
        vil = VorbisInfoList(wavmaker.Preexisting(
            os.path.join('TESTvorbisinfo', 'wav')))
        vil.addFromYaml(os.path.join('TESTvorbisinfo', 'info'))
        
        for vi in vil:
            print "  ", vi
                        
class VorbisInfoListTester(unittest.TestCase):
    def testFlacDecoding(self):
        vil = VorbisInfoList(wavmaker.FlacDecoding(os.path.join('er', 'flac'),
                                                   os.path.join('er', 'wav')))
    def testWavGetting(self):
        vil = VorbisInfoList(wavmaker.Preexisting(os.path.join('er', 'wav')))
